org.codehaus.groovy.runtime.dgmimpl.arrays

## Class ArrayMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ArrayGetAtMetaMethod, ArrayPutAtMetaMethod

    public abstract class ArrayMetaMethod
    extends CallSiteAwareMetaMethod

### Field Summary

Fields
`protected static CachedClass` `INTEGER_CLASS`
`protected static CachedClass[]` `INTEGER_CLASS_ARR`

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`ArrayMetaMethod()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getModifiers()` Returns the modifiers for this method
`protected static int` `normaliseIndex(int i, int size)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

`createPojoCallSite`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INTEGER_CLASS

    protected static final CachedClass INTEGER_CLASS

#### INTEGER_CLASS_ARR

    protected static final CachedClass[] INTEGER_CLASS_ARR

### Constructor Detail

#### ArrayMetaMethod

    public ArrayMetaMethod()

### Method Detail

#### normaliseIndex

    protected static int normaliseIndex(int i,
                                        int size)

#### getModifiers

    public int getModifiers()

Description copied from class: `MetaMethod`
Returns the modifiers for this method

Specified by:
  `getModifiers` in class `MetaMethod`
Returns:
  modifiers as an int.